{% extends "base.html" %}
{% load static %}

{% block style %}
<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
        background-attachment: fixed;
        background-repeat: no-repeat;
    }
    @media only screen and (max-width: 576px) {
        body {
            background: white;
            padding-top: 30px;
        }
    }
    form {
        display: flex;
    }
    p {
        margin: 0
    }
    .section {
        margin-top: 5rem;
        /*font-family: 'Roboto', Arial, sans-serif;*/
    }
    .form-card {
        margin-bottom: 2rem;
    }
    .form-control {
        border-radius: 2rem;
        margin-right: 1rem;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
    }
    .add-btn {
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
    }
    .btn {
        border-radius: 2rem;
    }
    .btn-primary {
        color: black;
        background-color: #38B6FF;
        border-color: #38B6FF;
    }
    .to-do-card-done {
        display: grid;
        grid-template-columns: 2.5rem auto 4rem;
        align-items: center;
        margin-bottom: 1rem;
        background: linear-gradient(180deg, #5c5e9d 0%, #2673a3 100%);
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        padding: 1rem 1rem;
        color: white;
        border-radius: 2rem;
    }
    .to-do-card-undone {
        display: grid;
        grid-template-columns: 2.5rem auto 4rem;
        align-items: center;
        margin-bottom: 1rem;
        background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        padding: 1rem 1rem;
        color: white;
        border-radius: 2rem;
    }
    .checkbox-unchecked {
        height: 1.5rem;
        width: 1.5rem;
        background-color: white;
        border-style: solid;
        border-width: .1rem;
        border-color: #ced4da;;
    }
    .checkbox-checked {
        height: 1.5rem;
        width: 1.5rem;
        background-color: #FFCC36;
    }
    .crossed {
        text-decoration: line-through;
    }
    .delete {
        border: none;
        padding: .2rem 0;
    }

    
</style>
{% endblock style %}

{% block content %}
<div class="section">
    <div class="form-card">
        <h1 class="title">Awesome To Do List</h1>
        <form action="" method="POST">
            {% csrf_token %}
            {{ form.content }}
            <button class="btn btn-primary add-btn">Add</button>
        </form>
    </div>
    {% if to_do_list %}
        {% for to_do in to_do_list %}
            {% if to_do.user == current_user and to_do.completed == True %}
                <div class="to-do-card-done">
                    <a class ="checkbox-checked" href="{% url 'djangu:undonetodo' to_do.pk %}"></a>
                    <p><span class="crossed">{{ to_do.content }}</span></p>
                    <a class="btn btn-danger delete" href="{% url 'djangu:deletetodo' to_do.pk %}">Delete</a>
                </div>
            {% elif to_do.user == current_user and to_do.completed == False %}
                <div class="to-do-card-undone">
                    <a class ="checkbox-unchecked" href="{% url 'djangu:donetodo' to_do.pk %}"></a>
                    <p>{{ to_do.content }}</p>
                    <a class="btn btn-danger delete" href="{% url 'djangu:deletetodo' to_do.pk %}">Delete</a>
                </div>
            {% endif %}
        {% endfor %}
    {% endif %}
</div>
{% endblock %}